#ifndef CAMERALISTWIDGET_H
#define CAMERALISTWIDGET_H

#include <vector>
#include <uvoscam.h>
#include <QTableWidget>

class CameraListWidget : public QTableWidget
{
private:
	std::vector<cam::Camera::Description> desc_;
public:
	CameraListWidget(QWidget* parent);
	void setCameras(const std::vector<cam::Camera::Description>& desc);
	void setConfigured(std::vector<bool> configured);
	std::vector<cam::Camera::Description> getSelectedDescriptions();
};

#endif // CAMERALISTWIDGET_H
